Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.jdbc.db
Class SybaseTimestamp

    java.lang.Object
      com.novell.nds.dirxml.driver.jdbc.db.AbstractTimeValue
          com.novell.nds.dirxml.driver.jdbc.db.DBTimestamp
              com.novell.nds.dirxml.driver.jdbc.db.SybaseTimestamp

All Implemented Interfaces:
  DBTimeTranslator

public class SybaseTimestamp
extends DBTimestamp

A Sybase timestamp, style 109 (e.g. "`Jun 14 2001 1:15:39:583PM`").

Field Summary

Fields inherited from interface com.novell.nds.dirxml.driver.jdbc.db.DBTimeTranslator
`CLASS_DATE, CLASS_TIME, CLASS_TIMESTAMP`

Constructor Summary
`SybaseTimestamp(String sybTimestamp)` Instantiates a Sybase timestamp, style 109.
`SybaseTimestamp(String sybTimestamp, String sqlClass, String inFormat, String outFormat)` Instantiates a Sybase timestamp, style 109.

Method Summary
`void` | `setDSTime(String sybTimestamp)` Translates a database-native timestamp/date/time value into an equivalent directory format as per the arguments passed to the constructor.

Methods inherited from class com.novell.nds.dirxml.driver.jdbc.db.DBTimestamp
`getDSTime, precisionLost`

Methods inherited from class com.novell.nds.dirxml.driver.jdbc.db.AbstractTimeValue
`getErrorMessage, getExceptions, parseError`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.jdbc.db.DBTimeTranslator
`getErrorMessage, getExceptions, parseError`

Constructor Detail

### SybaseTimestamp

    public SybaseTimestamp(String sybTimestamp)

  Instantiates a Sybase timestamp, style 109.

Parameters:
  `sybTimestamp` - may be `null`; format should be `mon dd yyyy hh:mm:ss:fffAM`

### SybaseTimestamp

    public SybaseTimestamp(String sybTimestamp,
                           String sqlClass,
                           String inFormat,
                           String outFormat)

  Instantiates a Sybase timestamp, style 109.

Parameters:
  `sybTimestamp` - may be `null`; format should be `mon dd yyyy hh:mm:ss:fffAM`
  `sqlClass` - should be `java.sql.Timestamp`, `java.sql.Date` or `java.sql.Time`; the default value is `java.sql.Timestamp`
  `inFormat` - this parameter is currently ignored and reserved for future use
  `outFormat` - should be "`1`" (integer) or "`2`" (string); the default value is "`1`" (integer); may be `null`

Method Detail

### setDSTime

    public void setDSTime(String sybTimestamp)
                   throws ParseException,
                          IllegalArgumentException

  Description copied from interface: `DBTimeTranslator`
  Translates a database-native timestamp/date/time value into an equivalent directory format as per the arguments passed to the constructor.

  Specified by:
    `setDSTime` in interface `DBTimeTranslator`
  Overrides:
    `setDSTime` in class `DBTimestamp`
  Throws:
    `ParseException`
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD